{{/*
SPDX-FileCopyrightText: 2024 Zentrum für Digitale Souveränität der Öffentlichen Verwaltung (ZenDiS) GmbH
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if .Values.ingress.enabled -}}
---
apiVersion: {{ include "common.capabilities.ingress.apiVersion" . | quote }}
kind: "Ingress"
metadata:
  name: {{ include "common.names.fullname" . | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
  {{- with .Values.ingress.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  {{- if .Values.ingress.ingressClassName }}
  ingressClassName: {{ .Values.ingress.ingressClassName | quote }}
  {{- end }}
  {{- if .Values.ingress.tls.enabled }}
  tls:
    - hosts:
        - {{ coalesce .Values.ingress.host (printf "%s.%s" .Values.global.hosts.synapse .Values.global.domain) | quote }}
      secretName: {{ .Values.ingress.tls.secretName | default (printf "%s-tls" (include "common.labels.standard" . )) | quote }}
  {{- end }}
  rules:
    - host: {{ coalesce .Values.ingress.host (printf "%s.%s" .Values.global.hosts.synapse .Values.global.domain) | quote }}
      http:
        paths:
          - path: "/_matrix"
            {{- if eq "true" (include "common.ingress.supportsPathType" .) }}
            pathType: {{ .Values.ingress.pathType | quote }}
            {{- end }}
            backend: {{- include "common.ingress.backend" (dict "serviceName" (include "common.names.fullname" $) "servicePort" "web" "context" $) | nindent 14 }}
          - path: "/_synapse"
            {{- if eq "true" (include "common.ingress.supportsPathType" .) }}
            pathType: {{ .Values.ingress.pathType | quote }}
            {{- end }}
            backend: {{- include "common.ingress.backend" (dict "serviceName" (include "common.names.fullname" $) "servicePort" "web" "context" $) | nindent 14 }}
...
{{- end }}
